%div#sticky-toast.privacy-announcement
  .hero-content
    We're looking for people to take part in an online survey to help us improve our website.
    = link_to "Take survey", "https://gitlab.fra1.qualtrics.com/jfe/form/SV_0P4IslXRRRmD9Y1", class: "slp-mt-0 slp-btn slp-min-w-full sm:slp-min-w-min"
  #dismiss-toast
    = partial "/images/icons/x-current-color.svg"


:sass
  #sticky-toast.privacy-announcement
    background: #FFFFFF
    padding: 16px 32px 16px 16px
    position: fixed
    bottom: 16px
    right: 32px
    z-index: 101
    width: 350px
    border-top: 2px solid #FA7035
    border-radius: 0px 0px 4px 4px
    box-shadow: 0px 4px 50px rgba(0, 0, 0, 0.08)

    .hero-content
      margin: 0
      text-align: left
      font-size: 14px
      color: #000
    a
      color: #000
      text-decoration: underline

  #dismiss-toast
    width: 32px
    height: 32px
    line-height: 0
    padding: 1rem
    cursor: pointer
    position: absolute
    right: 8px
    top: 8px

  @media all and (max-width: 542px)
    #sticky-toast.privacy-announcement
      right: 16px
      width: calc(100% - 32px)
      font-size: 12px


:javascript
  (function() {
    if (localStorage.getItem("privacyBannerDismissed") === 'true') {
        document.getElementById("sticky-toast").style.display = "none";
    }

    window.addEventListener('CookiebotOnDialogDisplay', function(e) {
      if (document.getElementById("CybotCookiebotDialog")) {
        document.getElementById("sticky-toast").style.bottom = "181px";
      }
    })

    document.getElementById("dismiss-toast").addEventListener("click", dismissTrial)
    function dismissTrial() {
      localStorage.setItem("privacyBannerDismissed", true);
      document.getElementById("sticky-toast").style.display = "none";
    }
  })();
